# GB_SUBCOLLECTION_DSC

    typedef
      struct {
        char *klass;
        void *(*get)(void *, const char *);
        int (*exist)(void *, const char *);
        void (*list)(void *, char ***);
      }
      GB_SUBCOLLECTION_DESC;

This structure describes a specific implementation of a collection of sub objects.

- klass must point at the class of the objects included in the collection.
- get is a pointer to a function that returns a object from its name.
- exist is a pointer to a function that returns `true` if an specific object exists.
- list is a pointer to a function that returns a list of all objects names.

See also GB_SUBCOLLECTION.